SUBDIRS = core kmfwidgets installer ipteditor compilers genericinterface \
	ruleoptionplugins

# set the include path for X, qt and KDE
INCLUDES = -I$(srcdir)/core -I$(srcdir)/ipteditor -I./ipteditor -I$(srcdir)/genericinterface -Ikmfwidgets $(all_includes)

METASOURCES = AUTO

#########################################################################
# APPLICATION SECTION
#########################################################################
bin_PROGRAMS = kmyfirewall
kmyfirewall_SOURCES = kmfconfigdialog.cpp kmyfirewall.cpp main.cpp
kmyfirewall_LDFLAGS = -no-undefined $(KDE_RPATH) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kmyfirewall_LDADD = kmfwidgets/libkmfwidgets.la \
	core/libkmfcore.la $(LIB_TDEPARTS)


# this is where the desktop file will go
xdg_apps_DATA = kmyfirewall.desktop

# this is where the shell's XML-GUI resource file goes
shellrcdir = $(kde_datadir)/kmyfirewall
shellrc_DATA = kmyfirewallui.rc

mimedir = $(kde_mimedir)/application
mime_DATA = kmfrs.desktop kmfgrs.desktop kmfnet.desktop kmfpkg.desktop

kde_conf_DATA = kmyfirewallrc



EXTRA_DIST = main.cpp kmyfirewall.cpp kmyfirewall.h kmyfirewalldoc.cpp kmyfirewalldoc.h kmyfirewallui.rc kmyfirewall.desktop lo32-app-kmyfirewall.png lo16-app-kmyfirewall.png  firewall_uninstall.png kmfchainedit.cpp kmfchainedit.h kmfconfig.cpp kmfconfig.h kmfnewchaindlg.cpp kmfnewchaindlg.h    kmyfirewallconfigdialog.ui kmyfirewallnewdocument.ui kmyfirewallrc kmfconfignewhost.cpp kmfconfignewhost.h kmyfirewallconfignewhost.ui kmfchecklistoutput.cpp kmfchecklistoutput.h  kmferrorhandler.cpp kmferrorhandler.h kmfinstall.sh


messages: rc.cpp
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) $$LIST -o $(podir)/kmyfirewall.pot; \
	fi

noinst_HEADERS = kmyfirewall.h version.h
